Obtener derechos de facturación
curl --request GET \
--url https://api.truthlocks.com/v1/billing/entitlements \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.truthlocks.com/v1/billing/entitlements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.truthlocks.com/v1/billing/entitlements"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.truthlocks.com/v1/billing/entitlements"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"plan": "<string>",
"entitlements": {}
}{
"code": "AUTH_REQUIRED",
"message": "Authentication required",
"http_status": 401
}Facturación
Obtener derechos
Devuelve el plan actual, las banderas de características y las cuotas de uso para el inquilino autenticado.
GET
/
v1
/
billing
/
entitlements
Obtener derechos de facturación
curl --request GET \
--url https://api.truthlocks.com/v1/billing/entitlements \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.truthlocks.com/v1/billing/entitlements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.truthlocks.com/v1/billing/entitlements"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.truthlocks.com/v1/billing/entitlements"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"plan": "<string>",
"entitlements": {}
}{
"code": "AUTH_REQUIRED",
"message": "Authentication required",
"http_status": 401
}GET /v1/billing/entitlements
Respuesta
Banderas de características desbloqueadas por su plan y complementos. Cada clave es un nombre de característica y el valor indica si está habilitada.
Límites numéricos para recursos facturables. Cada clave es un nombre de métrica y el valor es el límite.
Para consultar sus complementos activos, consulte resumen de facturación. Los derechos de los complementos se fusionan en los objetos
features y quotas automáticamente.
